webbuild-cgi: css fixes

This commit is contained in:
Silvan Calarco 2019-07-30 19:39:22 +02:00
parent 94f1ffcf9a
commit 79af8764e1

View File

@ -475,7 +475,7 @@ fi
# repsearch request # repsearch request
if [ "$REQUEST" = "repsearch" ]; then if [ "$REQUEST" = "repsearch" ]; then
echo -n "<output><![CDATA[" echo -n "<output><![CDATA["
echo -n "<hr><b>Search results for \"$REPSEARCHTEXT\":</b><div align=left class=output id=outputtop style=\"font-family:serif;color:black;background-color:#E0F2D0;\">" echo -n "<hr><b>Search results for \"$REPSEARCHTEXT\":</b><div align=left class=\"outputbox\" id=outputtop style=\"font-family:serif;color:black;background-color:#E0F2D0;\">"
# echo -n "<pre><!-- SCROLL -->" # echo -n "<pre><!-- SCROLL -->"
REPSEARCHTEXT_FMT=`echo "${REPSEARCHTEXT}" | sed "s|[[:space:]]|+|g"` REPSEARCHTEXT_FMT=`echo "${REPSEARCHTEXT}" | sed "s|[[:space:]]|+|g"`
curl -s "${WEBBUILD_DISTROQUERY_URL}?query=${REPSEARCHTEXT_FMT}&search_milestone2=true&search_milestone3=true&search_devel=true\ curl -s "${WEBBUILD_DISTROQUERY_URL}?query=${REPSEARCHTEXT_FMT}&search_milestone2=true&search_milestone3=true&search_devel=true\
@ -494,7 +494,7 @@ fi
# environment search request # environment search request
if [ "$REQUEST" = "environmentsearch" ]; then if [ "$REQUEST" = "environmentsearch" ]; then
echo -n "<output><![CDATA[" echo -n "<output><![CDATA["
echo -n "<hr><b>Environment search results for \"$ENVSEARCHTEXT\":</b><div align=left class=output id=outputtop>" echo -n "<hr><b>Environment search results for \"$ENVSEARCHTEXT\":</b><div align=left class=\"outputbox\" id=outputtop>"
echo -n "<pre><!-- SCROLL -->" echo -n "<pre><!-- SCROLL -->"
echo -n "<font style=\"background-color:gray\">Installed packages providing '$ENVSEARCHTEXT':</font><br>" echo -n "<font style=\"background-color:gray\">Installed packages providing '$ENVSEARCHTEXT':</font><br>"
WHAT_PROVIDES=`$SUDO_WRAPPER binary $ENVIRONMENT "$USER" "" "rpm -q --what-provides \"$ENVSEARCHTEXT\"" | sort -u` WHAT_PROVIDES=`$SUDO_WRAPPER binary $ENVIRONMENT "$USER" "" "rpm -q --what-provides \"$ENVSEARCHTEXT\"" | sort -u`
@ -791,9 +791,9 @@ if [ ! "$REPSEARCHTEXT" ]; then
# echo -n "REQUEST=repsearch&REPSEARCHTEXT=\"+encodeURIComponent(getElementById('repsearchtext').value));>" # echo -n "REQUEST=repsearch&REPSEARCHTEXT=\"+encodeURIComponent(getElementById('repsearchtext').value));>"
if [ "$PACKAGE" ]; then if [ "$PACKAGE" ]; then
echo -n "<input type=text style=\"display:block;width:98%;align:center;padding:0;margin:0;\" id=repsearchtext value=\"${PACKAGE/*\/}\" " echo -n "<br><input type=text id=\"repsearchtext\" value=\"${PACKAGE/*\/}\" "
else else
echo -n "<input type=text style=\"display:block;width:98%;align:center;padding:0;margin:0;\" id=repsearchtext value=\"Enter a package name to search...\" " echo -n "<br><input type=text id=\"repsearchtext\" value=\"Enter a package name to search...\" "
echo -n "onfocus=\"if (this.value==this.defaultValue) this.value=''\" " echo -n "onfocus=\"if (this.value==this.defaultValue) this.value=''\" "
fi fi
echo -n "onkeypress=if(checkEnter(event))ajax_getvalues(\"" echo -n "onkeypress=if(checkEnter(event))ajax_getvalues(\""
@ -1020,7 +1020,7 @@ if [ "$SPECTEXT" ]; then
fi fi
RET=$? RET=$?
[ $RET -eq 0 ] || { [ $RET -eq 0 ] || {
echo -n "<output><![CDATA[<div class=output>ERROR: could not save file ${PACKAGE/*\/}.spec! Please report the problem, thanks.</div>]]></output></webbuild>" echo -n "<output><![CDATA[<div class=\"outputbox\">ERROR: could not save file ${PACKAGE/*\/}.spec! Please report the problem, thanks.</div>]]></output></webbuild>"
exit 1 exit 1
} }
rm -f $tmpfile rm -f $tmpfile
@ -1041,7 +1041,7 @@ if [ "$REQUEST" = "prepare" -o "$REQUEST" = "updatespec" -o "$REQUEST" = "speccr
else else
OUTPUTMODE="outputbottom" OUTPUTMODE="outputbottom"
fi fi
echo -n "<output><![CDATA[<hr><b>Console output:</b><div align=left class=output id=$OUTPUTMODE>" echo -n "<output><![CDATA[<hr><b>Console output:</b><div align=left class=\"outputbox\" id=$OUTPUTMODE>"
echo -n "<pre>" echo -n "<pre>"
RET=255 RET=255
case $REQUEST in case $REQUEST in
@ -1066,7 +1066,7 @@ if [ "$REQUEST" = "prepare" -o "$REQUEST" = "updatespec" -o "$REQUEST" = "speccr
"speccreate") if [ "$SPECCREATEURL" -a "$PACKAGE" ]; then "speccreate") if [ "$SPECCREATEURL" -a "$PACKAGE" ]; then
FOUND_EXISTING=`curl -s "${WEBBUILD_DISTROQUERY_URL}?package=$PACKAGE&search_milestone2=true&search_milestone3=true&search_devel=true&search_sources=true&query_compact=true&replyplain=true&searchbox=false"` FOUND_EXISTING=`curl -s "${WEBBUILD_DISTROQUERY_URL}?package=$PACKAGE&search_milestone2=true&search_milestone3=true&search_devel=true&search_sources=true&query_compact=true&replyplain=true&searchbox=false"`
if [ "$FOUND_EXISTING" != "" ]; then if [ "$FOUND_EXISTING" != "" ]; then
echo -n "<div align=left class=output id=outputtop style=\"font-family:serif;color:black;background-color:#E0F2D0;\">" echo -n "<div align=left class=\"output\" id=outputtop style=\"font-family:serif;color:black;background-color:#E0F2D0;\">"
echo "<b><font color=red>ERROR: package already exists, please update from appropriate version:</font><b>" echo "<b><font color=red>ERROR: package already exists, please update from appropriate version:</font><b>"
echo -n "<hr><b>Search results for \"$PACKAGE\":</b>$FOUND_EXISTING" echo -n "<hr><b>Search results for \"$PACKAGE\":</b>$FOUND_EXISTING"
echo -n "</div>" echo -n "</div>"
@ -1515,7 +1515,7 @@ if [ "$MAINTAINERMODE" != "true" ]; then
echo -n "ADDPATCHNAME=\"+encodeURIComponent(getElementById('addpatchname').value));>" echo -n "ADDPATCHNAME=\"+encodeURIComponent(getElementById('addpatchname').value));>"
echo -n "&nbsp;<a href=\"http://pastebin.com\" target=_new>pastebin</a><br>" echo -n "&nbsp;<a href=\"http://pastebin.com\" target=_new>pastebin</a><br>"
echo -n "URL:<input type=text id=addpatchurl value=\"\" style=\"width:80%\">" echo -n "URL:<input type=text id=addpatchurl value=\"\" style=\"width:80%\">"
echo -n "<br><div style=\"white-space:nowrap;font-size:9px;width:100%;overflow:hidden\"><span style=\"float:left;margin-top:6px;\">$PACKAGE-${SPECVAR_Version}-</span>" echo -n "<br><div style=\"white-space:nowrap;font-size:9pt;width:100%;overflow:hidden\"><span style=\"float:left;margin-top:6px;\">$PACKAGE-${SPECVAR_Version}-</span>"
echo -n "<span style=\"display:block;float:right;margin-top:6px;\">.patch</span>" echo -n "<span style=\"display:block;float:right;margin-top:6px;\">.patch</span>"
echo -n "<span style=\"display:block;overflow:hidden;padding-right:5px;\"><input type=text id=addpatchname value=\"\" style=\"width:100%\"></span></div>" echo -n "<span style=\"display:block;overflow:hidden;padding-right:5px;\"><input type=text id=addpatchname value=\"\" style=\"width:100%\"></span></div>"
echo -n "</div>" echo -n "</div>"
@ -1625,7 +1625,7 @@ if [ "$MAINTAINERMODE" != "true" ]; then
#echo -n "REQUEST=runldconfig\");>" #echo -n "REQUEST=runldconfig\");>"
# environment search # environment search
echo -n "<div style=\"white-space:nowrap;width:100%;\">Provides:<input type=text style=\"width:75%;align:center;padding:0;margin:2px;\" id=environmentsearch value=\"Search package or provide...\" " echo -n "<div style=\"white-space:nowrap;width:100%;\">Provides:<input type=text style=\"width:75%;\" id=\"environmentsearch\" value=\"Search package or provide...\" "
echo -n "onfocus=\"if (this.value==this.defaultValue) this.value=''\" " echo -n "onfocus=\"if (this.value==this.defaultValue) this.value=''\" "
echo -n "onkeypress=if(checkEnter(event))ajax_getvalues(\"" echo -n "onkeypress=if(checkEnter(event))ajax_getvalues(\""
echo -n "ENVIRONMENT=$ENVIRONMENT&REPOSITORY=$REPOSITORY&PACKAGE=$PACKAGEENCODED&" echo -n "ENVIRONMENT=$ENVIRONMENT&REPOSITORY=$REPOSITORY&PACKAGE=$PACKAGEENCODED&"
@ -1643,7 +1643,7 @@ fi
echo -n "<chatpanel><![CDATA[" echo -n "<chatpanel><![CDATA["
# broadcast message # broadcast message
echo -n "<div class=\"chatpanel\">" echo -n "<div class=\"chatpanel\">"
echo -n "<textarea id=broadcastmessage style=\"font-family:sans;height:36px;width:80%;float:left;font-size:8pt;resize:none;\" " echo -n "<textarea id=broadcastmessage style=\"height:40px;width:80%;float:left;resize:none;\" "
echo -n "onfocus=\"if(this.value==this.defaultValue)this.value='';\">Chat with online developers...</textarea>" echo -n "onfocus=\"if(this.value==this.defaultValue)this.value='';\">Chat with online developers...</textarea>"
echo -n "<input type=button style=\"float:right\" onclick=ajax_getvalues(\"" echo -n "<input type=button style=\"float:right\" onclick=ajax_getvalues(\""
echo -n "ENVIRONMENT=$ENVIRONMENT&REPOSITORY=$REPOSITORY&PACKAGE=$PACKAGEENCODED&" echo -n "ENVIRONMENT=$ENVIRONMENT&REPOSITORY=$REPOSITORY&PACKAGE=$PACKAGEENCODED&"